import 'package:krow/core/data/models/staff_role.dart';
import 'package:krow/features/profile/role_kit/domain/staff_role_kit_repository_impl.dart';

import 'models/mutate_kit_dto.dart';

abstract class StaffRoleKitRepository {
  Future<List<StaffRole>> getStaffRole();

  Future<void> putKit(
      String skillId, List<MutateKitDto> kits, RoleKitType type);

  Future<Map<String, dynamic>> uploadImage(String imagePath);
}
